@ECHO OFF

REM Last Changed: 2009-07-19 by Stefan Heule

::::::::::::::::::::::::::
:: CONFIG
set seven_zip_path="C:\cmdlinetools\7z-patched-to-be-quiet.exe"
set ttbin2hex_path="C:\cmdlinetools\ttbin2hex.exe"
set tifileprop_path="C:\cmdlinetools\tifileprop.exe"
set tprbuilder_path="C:\Program Files\GCC4TI\tprbuilder.exe"
set tpr_count_path="C:\cmdlinetools\tpr-count.exe"
:: END CONFIG
::::::::::::::::::::::::::

ECHO ---------------------------------------------------------
ECHO English version
ECHO ---------------------------------------------------------
ECHO Compile uncompressed version
%tprbuilder_path% -q -DLANG_EN -DUSE_V200 ticonst_uc.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_uc.v2z
move /Y ticonst_uc.v2z "../bin/english/voyage 200/uncompressed/ticonst (english, voyage 200, uncompressed).v2z" >> nul

%tprbuilder_path% -q -DLANG_EN -DUSE_TI92PLUS ticonst_uc.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_uc.9xz
move /Y ticonst_uc.9xz "../bin/english/ti-92 plus/uncompressed/ticonst (english, ti-92 plus, uncompressed).9xz" >> nul

%tprbuilder_path% -q -DLANG_EN -DUSE_TI89 ticonst_uc.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_uc.89z
move /Y ticonst_uc.89z "../bin/english/ti-89 titanium/uncompressed/ticonst (english, ti-89 titanium, uncompressed).89z" >> nul

ECHO Compile compressed version
%tprbuilder_path% -q -DLANG_EN -DUSE_V200 ticonst_c.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_c.v2z
move /Y ticonst_c.v2z "../bin/english/voyage 200/compressed/ticonst (english, voyage 200, compressed).v2z" >> nul
"%tifileprop_path%" -d a -fi ticonppg -c "ticonst by Stefan Heule" -q ticonst_c.v2y
move /Y ticonst_c.v2y "../bin/english/voyage 200/compressed/ticonst (english, voyage 200, compressed).v2y" >> nul

%tprbuilder_path% -q -DLANG_EN -DUSE_TI92PLUS ticonst_c.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_c.9xz
move /Y ticonst_c.9xz "../bin/english/ti-92 plus/compressed/ticonst (english, ti-92 plus, compressed).9xz" >> nul
"%tifileprop_path%" -d a -fi ticonppg -c "ticonst by Stefan Heule" -q ticonst_c.9xy
move /Y ticonst_c.9xy "../bin/english/ti-92 plus/compressed/ticonst (english, ti-92 plus, compressed).9xy" >> nul

%tprbuilder_path% -q -DLANG_EN -DUSE_TI89 ticonst_c.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_c.89z
move /Y ticonst_c.89z "../bin/english/ti-89 titanium/compressed/ticonst (english, ti-89 titanium, compressed).89z" >> nul
"%tifileprop_path%" -d a -fi ticonppg -c "ticonst by Stefan Heule" -q ticonst_c.89y
move /Y ticonst_c.89y "../bin/english/ti-89 titanium/compressed/ticonst (english, ti-89 titanium, compressed).89y" >> nul


ECHO ---------------------------------------------------------
ECHO German version
ECHO ---------------------------------------------------------
ECHO Compile uncompressed version
%tprbuilder_path% -q -DLANG_DE -DUSE_V200 ticonst_uc.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_uc.v2z
move /Y ticonst_uc.v2z "../bin/german/voyage 200/uncompressed/ticonst (german, voyage 200, uncompressed).v2z" >> nul

%tprbuilder_path% -q -DLANG_DE -DUSE_TI92PLUS ticonst_uc.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_uc.9xz
move /Y ticonst_uc.9xz "../bin/german/ti-92 plus/uncompressed/ticonst (german, ti-92 plus, uncompressed).9xz" >> nul

%tprbuilder_path% -q -DLANG_DE -DUSE_TI89 ticonst_uc.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_uc.89z
move /Y ticonst_uc.89z "../bin/german/ti-89 titanium/uncompressed/ticonst (german, ti-89 titanium, uncompressed).89z" >> nul

ECHO Compile compressed version
%tprbuilder_path% -q -DLANG_DE -DUSE_V200 ticonst_c.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_c.v2z
move /Y ticonst_c.v2z "../bin/german/voyage 200/compressed/ticonst (german, voyage 200, compressed).v2z" >> nul
"%tifileprop_path%" -d a -fi ticonppg -c "ticonst by Stefan Heule" -q ticonst_c.v2y
move /Y ticonst_c.v2y "../bin/german/voyage 200/compressed/ticonst (german, voyage 200, compressed).v2y" >> nul

%tprbuilder_path% -q -DLANG_DE -DUSE_TI92PLUS ticonst_c.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_c.9xz
move /Y ticonst_c.9xz "../bin/german/ti-92 plus/compressed/ticonst (german, ti-92 plus, compressed).9xz" >> nul
"%tifileprop_path%" -d a -fi ticonppg -c "ticonst by Stefan Heule" -q ticonst_c.9xy
move /Y ticonst_c.9xy "../bin/german/ti-92 plus/compressed/ticonst (german, ti-92 plus, compressed).9xy" >> nul

%tprbuilder_path% -q -DLANG_DE -DUSE_TI89 ticonst_c.tpr
"%tifileprop_path%" -d a -fi ticonst -c "ticonst by Stefan Heule" -q ticonst_c.89z
move /Y ticonst_c.89z "../bin/german/ti-89 titanium/compressed/ticonst (german, ti-89 titanium, compressed).89z" >> nul
"%tifileprop_path%" -d a -fi ticonppg -c "ticonst by Stefan Heule" -q ticonst_c.89y
move /Y ticonst_c.89y "../bin/german/ti-89 titanium/compressed/ticonst (german, ti-89 titanium, compressed).89y" >> nul


ECHO ---------------------------------------------------------
%tpr_count_path% ticonst_uc.tpr
ECHO ---------------------------------------------------------

IF "%1" EQU "-q" goto eof
PAUSE

:eof
